Pull request:    

Description

The migrate_settings.yml script isn't returning 1 when used against a migrated config file (e.g. the example configs):

[root@foreman test]# /usr/share/foreman-proxy/extra/migrate_settings.rb /etc/foreman-proxy/setting

s.yml ; echo $?

0

[root@foreman test]# ll

total 4

-rw-r--r--. 1 root root 80 Jun 18 17:26 settings.yml

[root@foreman test]# cat settings.yml 

--- 

:settings_directory: /etc/foreman-proxy/settings.d

:virsh_network: default

 Causing upgrades to fail as a bad config overwrites the real one:

[root@foreman test]# ll /etc/foreman-proxy/

total 8

drwxr-xr-x. 2 root root 4096 Jun 18 17:25 settings.d

-rw-r--r--. 1 root root 1706 Jun 18 14:58 settings.yml

[root@foreman test]# rpm -Uvh "http://yum.theforeman.org/nightly/el6/x86_64/foreman-proxy-1.6.0-0.

develop.201406181440git038fa6c.el6.noarch.rpm" 

Retrieving http://yum.theforeman.org/nightly/el6/x86_64/foreman-proxy-1.6.0-0.develop.201406181440

git038fa6c.el6.noarch.rpm

Preparing...                ########################################### [100%]

   1:foreman-proxy          ########################################### [100%]

warning: %postun(foreman-proxy-1.6.0-0.develop.el6.noarch) scriptlet failed, exit status 1

[root@foreman test]# ll /etc/foreman-proxy/

total 8

drwxr-xr-x. 2 root root 4096 Jun 18 17:25 settings.d

-rw-r--r--. 1 root root  174 Jun 18 17:25 settings.yml

[root@foreman test]# cat /etc/foreman-proxy/settings.yml

--- 

#replace default location of "settings.d" 

:settings_directory: /etc/foreman-proxy/settings.d

:settings_directory: /etc/foreman-proxy/settings.d

:virsh_network: default

Associated revisions

Revision 14fc2ced - 07/09/2014 04:47 AM - Dominic Cleal

fixes #6275 - idempotence needs clone of original data and to handle *_port

History

#1 - 06/18/2014 04:39 PM - Dominic Cleal

05/11/2024 1/2



- Status changed from New to Ready For Testing

- Assignee set to Dominic Cleal

- Target version set to 1.8.1

- translation missing: en.field_release set to 10

https://github.com/theforeman/smart-proxy/pull/166

#2 - 06/18/2014 05:10 PM - Dominic Cleal

- Priority changed from Urgent to Normal

RPM spec updated to avoid triggering this, debs will too.

#3 - 07/07/2014 07:23 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#4 - 07/09/2014 05:01 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 14fc2cedbe4e360a905a45089848be36af670ab2.
